package paystation.domain;

public class OmegaRateStrategy implements RateStrategy {
  @Override
  public int calculateTime(ModifiablePayStation modifiablePayStation) {
    // If we have exactly 1$ inserted
    if (modifiablePayStation.getInsertedSoFar() == 100) {
      // then we give 25$ bonus
      modifiablePayStation.adjustInsertedSoFar(125);
    }
    return modifiablePayStation.getInsertedSoFar() * 2; // minutes pr cents
  }
}
